html {
  position: relative;
  min-height: 100%;
}

html,
body {
  font-family: 'opensans';
  font-size: 62.5%;

  @include respondto(desktopSmall) {
    font-size: 57.5%;
  }

  @include respondto(tablet) {
    font-size: 55%;
  }
}

body {
  font-size: 1.6rem;
  line-height: 1.6rem;
  transition: transform .5s ease-in-out;


  @include respondto(phone) {}
}

p,
span,
ul li {
  color: palette(black);
  font-size: 1.6rem;
  line-height: 2.6rem;
}

a {
  background-color: inherit;
  color: palette(primary, light);

  @include transition();

  &:hover,
  &:focus {
    background-color: inherit;
    color: palette(primary, light);
    outline: none;
  }
}

iframe {
  border: 0;
}

h1 {
  font-size: 4.2rem;
  line-height: 5.2rem;

  @include respondto(phone) {
    font-size: 3rem;
    line-height: 4rem;
  }
}

h2 {
  font-size: 3.8rem;
  letter-spacing: 0.9px;

  @include respondto(phone) {
    font-size: 2.8rem;
    line-height: 3.6rem;
  }
}

h3 {
  font-size: 2.8rem;
  line-height: 3.2rem;
}

h1,
h2,
h3,
h4 {
  font-family: 'futura-medium';
  font-weight: 600;
  padding-bottom: 1rem;
  color: palette(black, base);
}

h1,
h2,
h3,
h4,
a,
span,
li,
div,
button {
  line-height: 1.3em;
}

h1,
h2,
h3,
h4,
p,
span,
a {
  letter-spacing: .5px;
}

h1,
h2,
h3,
h4 {
  margin: 0;
}

ul {
  margin: 0;
  padding: 0;
}

textarea {
  resize: none;
}
